summaryrefslogtreecommitdiffstats
path: root/utils/GetRepositoryPath
diff options
context:
space:
mode:
authordim <dim@FreeBSD.org>2011-02-20 12:57:14 +0000
committerdim <dim@FreeBSD.org>2011-02-20 12:57:14 +0000
commitcbb70ce070d220642b038ea101d9c0f9fbf860d6 (patch)
treed2b61ce94e654cb01a254d2195259db5f9cc3f3c /utils/GetRepositoryPath
parent4ace901e87dac5bbbac78ed325e75462e48e386e (diff)
downloadFreeBSD-src-cbb70ce070d220642b038ea101d9c0f9fbf860d6.zip
FreeBSD-src-cbb70ce070d220642b038ea101d9c0f9fbf860d6.tar.gz
Vendor import of llvm trunk r126079:
http://llvm.org/svn/llvm-project/llvm/trunk@126079
Diffstat (limited to 'utils/GetRepositoryPath')
-rwxr-xr-xutils/GetRepositoryPath27
1 files changed, 27 insertions, 0 deletions
diff --git a/utils/GetRepositoryPath b/utils/GetRepositoryPath
new file mode 100755
index 0000000..326231c
--- /dev/null
+++ b/utils/GetRepositoryPath
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+usage() {
+ echo "usage: $0 <source root>"
+ echo " Prints the source control repository path of the given source"
+ echo " directory, the exact format of the revision string depends on the"
+ echo " source control system. If the source control system isn't known,"
+ echo " the output is empty and the exit code is 1."
+ exit 1
+}
+
+if [ $# != 1 ] || [ ! -d $1 ]; then
+ usage;
+fi
+
+cd $1
+if [ -d .svn ]; then
+ svn info | grep 'URL:' | cut -d: -f2-
+elif [ -d .git/svn ]; then
+ git svn info | grep 'URL:' | cut -d: -f2-
+elif [ -d .git ]; then
+ git remote -v | grep 'fetch' | awk '{ print $2 }'
+else
+ exit 1;
+fi
+
+exit 0
OpenPOWER on IntegriCloud